from django.utils.translation import gettext_lazy as _

from dynamic_preferences.preferences import Section
from dynamic_preferences.types import (
    IntegerPreference,
)

from aleksis.core.registries import site_preferences_registry

plank = Section("plank", verbose_name=_("Inventory"))


@site_preferences_registry.register
class LabelWidth(IntegerPreference):
    """Width of QR code labels."""

    section = plank
    name = "label_width"
    default = 54
    verbose_name = _("Width of QR code labels (in mm)")
    min_value = 1
    required = True


@site_preferences_registry.register
class LabelHeight(IntegerPreference):
    """Height of QR code labels."""

    section = plank
    name = "label_height"
    default = 17
    verbose_name = _("Height of QR code labels (in mm)")
    min_value = 1
    required = True
