from django.urls import path

from . import views

api_urlpatterns = [
    path(
        "locations/<int:pk>/completeness/",
        views.LocationCompletenessReportView.as_view(),
        name="plank_locations_completeness",
    ),
    path(
        "locations/<int:pk>/labels.pdf",
        views.LocationItemLabelsView.as_view(),
        name="plank_location_item_labels",
    ),
    path(
        "checks/<int:pk>/check-out-form.pdf",
        views.CheckOutFormView.as_view(),
        name="plank_check_out_form",
    ),
    path(
        "checks/<int:pk>/check-in-form.pdf",
        views.CheckInFormView.as_view(),
        name="plank_check_in_form",
    ),
    path(
        "items/<int:pk>/label.pdf",
        views.ItemLabelView.as_view(),
        name="plank_item_label",
    ),
]
